EDIT - task #9849

Remove trailing full stops from specimen titleCaches

11/04/2021 10:24 AM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.29

Severity: normal

Description

As decided e.g. in #9788 we should not add trailing dots to titleCaches. If they are needed/wanted by publications they need to be

added explicitly by publication software (dataportal, print-publisher, ...)

Related issues:

Related to EDIT - feature request #6865: [DISCUSS] Separator for Code and Acc...

Related to EDIT - feature request #9788: Add full stop at the end of bibliogr...
Related to EDIT - bug #9638: remove trailing full stops from reference titleC...
Related to EDIT - task #9679: Formatter and update script for SpecimenOrObser...

Closed
New
Closed
New

Associated revisions

Revision 7d08e9ac - 11/04/2021 11:11 AM - Andreas Miiller
ref #9849 remove trailing dot from DerivedUnitDefaultCacheStrategy

Revision d973bbb0 - 11/04/2021 11:15 AM - Andreas Miiller
ref #9849 remove trailing dot from FieldUnitDefaultCacheStrategy

Revision 837670bb - 11/04/2021 11:28 AM - Andreas Miiller
fix #9849 further adapt test data

Revision €9e99357 - 11/04/2021 12:06 PM - Andreas Miiller
fix #9849 adapt test data in vaadin

Revision 4a6a3ad3 - 11/11/2021 05:56 PM - Andreas Miiller
ref #9650 , ref #9849 update some dataportal tests to updated caches

History

#1 - 11/04/2021 10:25 AM - Andreas Miiller

- Related to feature request #6865: [DISCUSS] Separator for Code and Accession Number added

#2 - 11/04/2021 10:25 AM - Andreas Miiller

- Related to feature request #9788: Add full stop at the end of bibliographic reference citations in dataportal added

#3 - 11/04/2021 10:25 AM - Andreas Miiller

- Subject changed from remove trailing full stops from specimen titleCaches to Remove trailing full stops from specimen titleCaches

#4 - 11/04/2021 10:32 AM - Andreas Miiller

- Related to bug #9638: remove trailing full stops from reference titleCaches added

#6 - 11/04/2021 11:28 AM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|837670bb6622f49a3ca2d2bf6baabdbdf723df53.
https://dev.e-taxonomy.eu/redmine/issues/9788
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/837670bb6622f49a3ca2d2bf6baabdbdf723df53

#7 - 11/04/2021 11:33 AM - Andreas Miiller

@AK: This is fixed now but maybe we still need to adapt tests in dataportal.

#8 - 11/12/2021 12:05 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
Andreas Miller wrote:

@AK: This is fixed now but maybe we still need to adapt tests in dataportal.
All tests are adapted now.

#9 - 11/12/2021 03:45 PM - Andreas Miiller

- Related to task #9679: Formatter and update script for SpecimenOrObservationBase short cache added

#10 - 02/15/2022 03:40 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.29
